Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.partition
Class PartitionSplittingBackingMap.PartitionedIterator

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.AbstractStableIterator
com.tangosol.net.partition.PartitionSplittingBackingMap.PartitionedIterator`

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  PartitionSplittingBackingMap

      public class PartitionSplittingBackingMap.PartitionedIterator

extends AbstractStableIterator

An Iterator designed to ensure that a stable copy of each partition's keys is available for the duration of the iteration over its keys.

This is primarily intended for use with the BinaryMap, which does not provide thread-safe iterators if the BinaryMap continues to be modified while the iteration is occurring.

Constructor Summary
`protected` | `PartitionSplittingBackingMap.PartitionedIterator(java.util.Map[] amap)` Construct PartitionedIterator based on the specified array of maps, where each map contains data for one and only one partition.

Method Summary
`protected void` | `advance()` Advance to the next object.
`protected void` | `remove(java.lang.Object oPrev)` Remove the specified item.

Methods inherited from class com.tangosol.util.AbstractStableIterator
`getPrevious, hasNext, next, remove, setNext`

Constructor Detail

### PartitionSplittingBackingMap.PartitionedIterator

    protected PartitionSplittingBackingMap.PartitionedIterator(java.util.Map[] amap)

  Construct PartitionedIterator based on the specified array of maps, where each map contains data for one and only one partition.
  Parameters:
    `amap` - an array of underlying maps

Method Detail

### advance

    protected void advance()

  Advance to the next object. This method must be implemented by the concrete sub-class by calling `AbstractStableIterator.setNext(java.lang.Object)` if there is a next object.
  Specified by:
    `advance` in class `AbstractStableIterator`

### remove

    protected void remove(java.lang.Object oPrev)

  Remove the specified item. This is an optional operation. If the Iterator supports element removal, then it should implement this method, which is delegated to by the `AbstractStableIterator.remove()` method.
  Overrides:
    `remove` in class `AbstractStableIterator`
  Parameters:
    `oPrev` - the previously iterated object that should be removed

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.